package cn.hmsoft.skill.data.model.std;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;
import java.time.LocalDateTime;

/**********************************************
 * 微信用户使用资源记录
 * 
 * @author: zxq
 * @date: 2019-08-25 10:46:25
 * @version: 2.0.0
 * @email: revisit@126.com
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "STD_RES_LOG", keyColumn = "LOG_ID", sequenceName = "LOG_ID")
public class StdResLog implements Serializable {
	private static final long serialVersionUID = 639961272006448742L;
	//日志内部编号
	private Integer log_id;
	//使用资源的时间
	private LocalDateTime res_time;
	//微信公众号编号
	private String weixin_id;
	//使用的资源类型
	private String res_type;
	//使用资源后的反馈
	private String res_result;
	//备注信息
	private String res_desc;
	//资源参数信息
	private String res_param;
	//考生内部编号
	private Integer std_id;

	/****
	 * 日志内部编号
	 */
	public Integer getLog_id() {
		return this.log_id;
	}

	/****
	 * 日志内部编号
	 */
	public void setLog_id(Integer log_id) {
		this.log_id = log_id;
	}

	/****
	 * 使用资源的时间
	 */
	public LocalDateTime getRes_time() {
		return this.res_time;
	}

	/****
	 * 使用资源的时间
	 */
	public void setRes_time(LocalDateTime res_time) {
		this.res_time = res_time;
	}

	/****
	 * 微信公众号编号
	 */
	public String getWeixin_id() {
		return this.weixin_id;
	}

	/****
	 * 微信公众号编号
	 */
	public void setWeixin_id(String weixin_id) {
		this.weixin_id = weixin_id;
	}

	/****
	 * 使用的资源类型
	 */
	public String getRes_type() {
		return this.res_type;
	}

	/****
	 * 使用的资源类型
	 */
	public void setRes_type(String res_type) {
		this.res_type = res_type;
	}

	/****
	 * 使用资源后的反馈
	 */
	public String getRes_result() {
		return this.res_result;
	}

	/****
	 * 使用资源后的反馈
	 */
	public void setRes_result(String res_result) {
		this.res_result = res_result;
	}

	/****
	 * 备注信息
	 */
	public String getRes_desc() {
		return this.res_desc;
	}

	/****
	 * 备注信息
	 */
	public void setRes_desc(String res_desc) {
		this.res_desc = res_desc;
	}

	/****
	 * 资源参数信息
	 */
	public String getRes_param() {
		return this.res_param;
	}

	/****
	 * 资源参数信息
	 */
	public void setRes_param(String res_param) {
		this.res_param = res_param;
	}

	/****
	 * 考生内部编号
	 */
	public Integer getStd_id() {
		return this.std_id;
	}

	/****
	 * 考生内部编号
	 */
	public void setStd_id(Integer std_id) {
		this.std_id = std_id;
	}

}